Remove user invitations from a flow - SuperAI Flows
Remove user invitations from a flow
cURL
curl --request DELETE \
--url https://flows.super.ai/api/flows/{flow_id}/invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"user_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}'
Python
import requests
url = "https://flows.super.ai/api/flows/{flow_id}/invitations"
payload = { "user_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'DELETE',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({user_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://flows.super.ai/api/flows/{flow_id}/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flows.super.ai/api/flows/{flow_id}/invitations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'user_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flows.super.ai/api/flows/{flow_id}/invitations"
payload := strings.NewReader("{\n \"user_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java (Unirest)
HttpResponse<String> response = Unirest.delete("https://flows.super.ai/api/flows/{flow_id}/invitations")
.header("X-API-Key", "<api-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"user_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"]\n}")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://flows.super.ai/api/flows/{flow_id}/invitations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["X-API-Key"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"user_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"]\n}"
response = http.request(request)
puts response.read_body
Response
204
Invitations successfully removed
Authorizations
X-API-Key (string, required) – API key authentication. Include your API key in the
X-API-Keyheader as:X-API-Key YOUR_API_KEYAuthorization (string, required) – JWT Bearer token authentication. Include your access token in the
Authorizationheader as:Bearer YOUR_ACCESS_TOKEN
Path Parameters
- flow_id (string
, required)
Body
- user_ids (string
[], required) – List of user IDs to invite to the flow. Minimum array length: 1.